com.gisgraphy.webapp.action

## Class EditFeatureAction

- java.lang.Object
- - com.opensymphony.xwork2.ActionSupport
  - - com.gisgraphy.webapp.action.BaseAction
    - - com.gisgraphy.webapp.action.EditFeatureAction

- All Implemented Interfaces:
    com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.Preparable, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

      public class EditFeatureAction
      extends BaseAction
      implements com.opensymphony.xwork2.Preparable

  Edit Feature all Geonames Entity, gisfeature and subclass action
  Author:
    David Masclet
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.gisgraphy.webapp.action.BaseAction

      `cancel, CANCEL, delete, from, log, mailEngine, mailMessage, roleManager, save, templateName, userManager`

    - ### Fields inherited from class com.opensymphony.xwork2.ActionSupport

      `LOG`

    - ### Fields inherited from interface com.opensymphony.xwork2.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditFeatureAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `doDelete()`
    `String` | `doSave()`
    `protected long` | `generateFeatureId()`
    `String` | `getClasscode()`
    `List<Country>` | `getCountries()`
    `String` | `getErrorMessage()`
    `GisFeature` | `getGisfeature()`
    `Long` | `getId()`
    `String` | `getLatitude()`
    `String` | `getLongitude()`
    `protected GisFeature` | `getObjectFromFeatureClassCode(GisFeature feature)`
    `FeatureCode[]` | `getPlacetypes()`
    `String` | `getStackTrace()`
    `com.gisgraphy.street.StreetType[]` | `getStreetTypes()`
    `String` | `input()`
    `void` | `prepare()`
    `protected void` | `processFeatureClassCode(GisFeature feature)`
    `protected com.vividsolutions.jts.geom.Point` | `processPoint()`
    `String` | `save()`
    `void` | `setClasscode(String classcode)`
    `void` | `setCountryDao(CountryDao countryDao)`
    `void` | `setErrorMessage(String errorMessage)`
    `void` | `setGisfeature(GisFeature gisfeature)`
    `void` | `setGisFeatureDao(IGisFeatureDao gisFeatureDao)`
    `void` | `setId(Long id)`
    `void` | `setIdGenerator(IIdGenerator idGenerator)`
    `void` | `setInternationalisationService(IInternationalisationService internationalisationService)`
    `void` | `setLatitude(String latitude)`
    `void` | `setLongitude(String longitude)`
    `void` | `setSolRSynchroniser(ISolRSynchroniser solRSynchroniser)`
    `void` | `setStackTrace(String stackTrace)`
    `void` | `setTransactionManager(org.springframework.transaction.PlatformTransactionManager transactionManager)`

    - ### Methods inherited from class com.gisgraphy.webapp.action.BaseAction

      `cancel, getConfiguration, getRequest, getResponse, getSession, saveMessage, sendUserMessage, setDelete, setFrom, setMailEngine, setMailMessage, setRoleManager, setSave, setTemplateName, setUserManager`

    - ### Methods inherited from class com.opensymphony.xwork2.ActionSupport

      `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, execute, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EditFeatureAction

          public EditFeatureAction()

  - ### Method Detail

    - #### getCountries

          public List<Country> getCountries()

      Returns:
        the available countries

    - #### getStreetTypes

          public com.gisgraphy.street.StreetType[] getStreetTypes()

    - #### prepare

          public void prepare()

      Specified by:
        `prepare` in interface `com.opensymphony.xwork2.Preparable`

    - #### input

          public String input()

      Overrides:
        `input` in class `com.opensymphony.xwork2.ActionSupport`

    - #### save

          public String save()

    - #### getPlacetypes

          public FeatureCode[] getPlacetypes()

    - #### doSave

          public String doSave()

    - #### processFeatureClassCode

          protected void processFeatureClassCode(GisFeature feature)

    - #### getObjectFromFeatureClassCode

          protected GisFeature getObjectFromFeatureClassCode(GisFeature feature)

    - #### processPoint

          protected com.vividsolutions.jts.geom.Point processPoint()

    - #### generateFeatureId

          protected long generateFeatureId()

    - #### getId

          public Long getId()

    - #### setId

          public void setId(Long id)

    - #### doDelete

          public String doDelete()

    - #### getLatitude

          public String getLatitude()

    - #### setLatitude

          public void setLatitude(String latitude)

    - #### getLongitude

          public String getLongitude()

    - #### setLongitude

          public void setLongitude(String longitude)

    - #### getErrorMessage

          public String getErrorMessage()

      Returns:
        the errorMessage

    - #### setErrorMessage

          public void setErrorMessage(String errorMessage)

      Parameters:
        `errorMessage` - the errorMessage to set

    - #### getStackTrace

          public String getStackTrace()

      Returns:
        the stackTrace

    - #### setStackTrace

          public void setStackTrace(String stackTrace)

      Parameters:
        `stackTrace` - the stackTrace to set

    - #### getGisfeature

          public GisFeature getGisfeature()

      Returns:
        the gisfeature

    - #### setGisfeature

          public void setGisfeature(GisFeature gisfeature)

    - #### setCountryDao

          public void setCountryDao(CountryDao countryDao)

    - #### setGisFeatureDao

          public void setGisFeatureDao(IGisFeatureDao gisFeatureDao)

    - #### setTransactionManager

          public void setTransactionManager(org.springframework.transaction.PlatformTransactionManager transactionManager)

    - #### setInternationalisationService

          public void setInternationalisationService(IInternationalisationService internationalisationService)

    - #### setIdGenerator

          public void setIdGenerator(IIdGenerator idGenerator)

    - #### setSolRSynchroniser

          public void setSolRSynchroniser(ISolRSynchroniser solRSynchroniser)

    - #### getClasscode

          public String getClasscode()

      Returns:
        the classcode

    - #### setClasscode

          public void setClasscode(String classcode)

      Parameters:
        `classcode` - the classcode to set

Copyright © 2015. All rights reserved.